Package org.apache.qpid.proton.codec

# Class BinaryType

java.lang.Object
org.apache.qpid.proton.codec.BinaryType

All Implemented Interfaces:
  `AMQPType<Binary>`, `PrimitiveType<Binary>`

public class BinaryType extends Object

## Method Summary

Modifier and Type
Method
Description
`void`
`fastWrite(EncoderImpl encoder, Binary binary)`
`Collection<org.apache.qpid.proton.codec.BinaryType.BinaryEncoding>`
`getAllEncodings()`
`org.apache.qpid.proton.codec.BinaryType.BinaryEncoding`
`getCanonicalEncoding()`
`org.apache.qpid.proton.codec.BinaryType.BinaryEncoding`
`getEncoding(Binary val)`
`Class<Binary>`
`getTypeClass()`
`final void`
`write(Binary val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getTypeClass

public Class<Binary> getTypeClass()

### getEncoding

public org.apache.qpid.proton.codec.BinaryType.BinaryEncoding getEncoding(Binary val)

### getCanonicalEncoding

public org.apache.qpid.proton.codec.BinaryType.BinaryEncoding getCanonicalEncoding()

### getAllEncodings

public Collection<org.apache.qpid.proton.codec.BinaryType.BinaryEncoding> getAllEncodings()

### fastWrite

public void fastWrite(EncoderImpl encoder, Binary binary)

### write

public final void write(Binary val)

Specified by:
  `write` in interface `AMQPType<T>`